lxqt-runner (1.2.0+dfsg-1ubuntu1) lunar; urgency=medium

  * Revert a sync from Debian.
  * Bumped Standards-Version to 4.6.2, no changes necessary.
  * Added 'Rules-Requires-Root: no' to debian/control.
  * Removed obsolete '-Wl,--as-needed' linker flag.
  * Removed obsolete 'override_dh_missing' section from debian/control.
  * Updated copyright file.
  * Repacked the upstream tarball to replace Adobe's proprietary ICC profile
    with GIMP's public domain one. Affected files are
    vbox-icons/state_running_16px.png and vbox-icons/vrdp_16px.png.
  * Removed trailing whitespace from changelog.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 21 Feb 2023 14:29:40 -0600

lxqt-runner (1.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * Fix the watch file, for real this time.
  * Bump build dependencies in debian/control.
  * Bump Standards-version to 4.6.1, no changes needed.
  * Lubuntuify the package slightly, to make debhelper happy.
  * Remove reverse-applicable upstream patches.
  * Less Rs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 18 Nov 2022 22:12:50 -0600

lxqt-runner (1.1.0-0ubuntu2) kinetic; urgency=medium

  * Backport upstream patches:
    - https://github.com/lxqt/lxqt-runner/pull/221
    - Force correct position after move from outside
      + https://github.com/lxqt/lxqt-runner/commit/703db2
    - Listen to KwindowSystem signals only when shown
      + https://github.com/lxqt/lxqt-runner/commit/88a4d2

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 11 Jun 2022 14:27:52 -0400

lxqt-runner (1.1.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release.
  * Bumped build dependencies.
  * Drop old Breaks/Replaces since we're past the LTS. Update the
    runtime dependencies too.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 02 Jun 2022 12:43:41 -0500

lxqt-runner (0.17.0-0ubuntu1) impish; urgency=medium

  * New upstream release 0.17.0
  * Update debian/control
    - Bump Standards-Version to 4.5.1
    - Use liblxqt0-dev 0.17.0
    - Use liblxqt-globalkeys0-dev 0.17.0
    - Use liblxqt-globalkeys-ui0-dev 0.17.0
  * Update debian/copyright
  * Run wrap-and-sort

 -- apt-ghetto <apt-ghetto@protonmail.com>  Mon, 16 Aug 2021 14:18:16 +0200

lxqt-runner (0.16.0-1ubuntu1) hirsute; urgency=low

  [ Raman Sarda ]
  * New upstream version. Merge from debian unstable.
  * Tighten debhelper-compat requirement.
  * Updated dependencies. Dropped qtbase5-priv-dev. Following upstream.

 -- Raman Sarda <theloudspeaker@disroot.org>  Mon, 22 Feb 2021 02:02:03 +0530

lxqt-runner (0.16.0-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Switched to gbp
  * Bumped Standards-Version to 4.4.0, no changes needed

  [ Andrew Lee (李健秋) ]
  * New upstream release.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 07 Jan 2021 15:31:23 +0800

lxqt-runner (0.15.0-0ubuntu1) groovy; urgency=medium

  * New upstream release.
    - Update upstream signing key.
    - Update LXQt build dependencies.
  * Update Standards-version to 4.5.0, no changes needed.
  * Run wrap-and-sort.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 04 Jun 2020 14:35:17 -0500

lxqt-runner (0.14.1-1ubuntu2) focal; urgency=medium

  * Updated rules to match debian unstable.

 -- Raman Sarda <theloudspeaker@lubuntu.me>  Sun, 16 Feb 2020 00:26:35 +0530

lxqt-runner (0.14.1-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Using debhelper-compat.
    - Bump miminum requirements in build deps.
    - Updated manpages.
    - Removed whitespace in debian/source/options.
    - Added upstream metadata.
    - keeping ubutu-side tweaks of writing some build deps in one line.
    - Updated copyright.
    - Updated debian/rules.

 -- Raman Sarda <theloudspeaker@lubuntu.me>  Wed, 12 Feb 2020 11:43:52 +0530

lxqt-runner (0.14.1-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.14.1.
  * Bumped minimum versions:
    - liblxqt0-dev (>= 0.14.1~)
    - liblxqt-globalkeys0-dev (>= 0.14.1~)
    - liblxqt-globalkeys-ui0-dev (>= 0.14.1~)
  * Improve the description for l10n a bit

 -- Alf Gaida <agaida@siduction.org>  Mon, 25 Feb 2019 01:07:36 +0100

lxqt-runner (0.14.1-0ubuntu1) disco; urgency=medium

  * New upstream release.
  * Run wrap-and-sort.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 09 Mar 2019 13:29:08 -0600

lxqt-runner (0.14.0-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.14.0.
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Bumped minimum versions:
    - liblxqt0-dev (>= 0.14.0~)
    - liblxqt-globalkeys0-dev (>= 0.14.0~)
    - liblxqt-globalkeys-ui0-dev (>= 0.14.0~)
  * Removed obsolete PULL_TRANSLATIONS= OFF from dh_auto_configure
  * Added l10n-package, moved from lxqt-l10n
  * Fixed d/manpages
  * Added d/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 23:37:58 +0100

lxqt-runner (0.14.0-0ubuntu1) disco; urgency=medium

  * New upstream release.
    - Bump build dependencies.
  * Bump Standards-version to 4.3.0, no changes needed.
  * Bump debhelper compat to 12, no changes needed.
  * Add a lxqt-runner-l10n package.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 26 Jan 2019 01:24:46 -0600

lxqt-runner (0.13.0-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.13.0.
  * Bumped build dependencies:
    - liblxqt0-dev to >= 0.13.0~
    - liblxqt-globalkeys0-dev to >= 0.13.0~
    - liblxqt-globalkeys-ui0-dev to >= 0.13.0~
  * Removed not used build dependency qtbase5-private-dev
  * Moved debian/.gitignore to ./.gitignore

 -- Alf Gaida <agaida@siduction.org>  Fri, 25 May 2018 00:30:26 +0200

lxqt-runner (0.13.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * Update build dependencies.
  * Remove patches applied upstream.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 23 May 2018 22:41:57 -0500

lxqt-runner (0.12.0-6ubuntu1) cosmic; urgency=medium

  * Merge from Debian Sid. Remaining changes:
    - Cherry-pick an upstream commit:
      + AppLinkItem: Make genericName searchable.
        * make-genericName-searchable.patch
        * Upstream commit c47a674.
  * Change the Vcs entries to be Lubuntu-specific.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 21 May 2018 00:13:34 -0500

lxqt-runner (0.12.0-6) unstable; urgency=medium

  * Changed Source and watch to lxqt
  * Bumped year in copyright

 -- Alf Gaida <agaida@siduction.org>  Sat, 28 Apr 2018 16:21:12 +0200

lxqt-runner (0.12.0-5) unstable; urgency=medium

  * debian/rules USE_MENU_CACHE=OFF (Closes:#896513)
  * Removed build dependency on libmenu-cache-dev
  * Bumped debhelper to 11~
  * Bumped compat to 11
  * Bumped Standards to 4.1.4, no changes needed
  * Fixed VCS fields for salsa
  * Fixed homepage
  * Removed trailing whitespaces from changelog

 -- Alf Gaida <agaida@siduction.org>  Mon, 23 Apr 2018 20:08:15 +0200

lxqt-runner (0.12.0-4ubuntu1) bionic; urgency=medium

  * Cherry-pick an upstream commit because the upstream release cycle is
    horribly slow:
    - AppLinkItem: Make genericName searchable.
      + make-genericName-searchable.patch
      + Upstream commit c47a674.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 05 Feb 2018 20:34:08 -0600

lxqt-runner (0.12.0-4) unstable; urgency=medium

  * Bumped Standards to 4.1.2, no changes needed
  * Removed branch from VCS fields
  * Removed debian/gbp.conf

 -- Alf Gaida <agaida@siduction.org>  Thu, 14 Dec 2017 22:41:16 +0100

lxqt-runner (0.12.0-3) unstable; urgency=medium

  * Transition to unstable

 -- Alf Gaida <agaida@siduction.org>  Tue, 05 Dec 2017 20:49:23 +0100

lxqt-runner (0.12.0-2) experimental; urgency=medium

  * Added missed breaks and replaces for lxqt-common << 0.12.0
    (Closes: #879912) - Thanks Andreas Beckmann <anbe@debian.org>

 -- Alf Gaida <agaida@siduction.org>  Fri, 27 Oct 2017 22:44:36 +0200

lxqt-runner (0.12.0-1) experimental; urgency=medium

  * Cherry-picking upstream release 0.12.0.
  * Switched to experimental
  * Bumped liblxqt0-dev to >= 0.12.0
  * Bumped liblxqt-globalkeys0-dev to >= 0.12.0
  * Bumped liblxqt-globalkeys-ui0-dev to >= 0.12.0
  * Bumped Standards to 4.1.1 - no changes needed

 -- Alf Gaida <agaida@siduction.org>  Tue, 24 Oct 2017 22:48:40 +0200

lxqt-runner (0.11.1-2) unstable; urgency=medium

  * Bumped Standards to 4.0.0 - no changes needed
  * Added to Recommends lxqt-policykit, lxqt-qtplugin, lxqt-session
    (Closes: #866318)
  * Added Suggests: lxqt | lxqt-core

 -- Alf Gaida <agaida@siduction.org>  Sun, 02 Jul 2017 01:15:53 +0200

lxqt-runner (0.11.1-1) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.1.
  * Removed some build dependencies:
    - cmake
    - libqt5xdg-dev
    - libqt5xdgiconloader-dev
    - pkg-config
    - qtbase5-private-dev
    - qttools5-dev
    - qttools5-dev-tools
  * Bumped some build-dependencies:
    - liblxqt0-dev (>= 0.11.1)
    - liblxqt-globalkeys0-dev (>= 0.11.1)
    - liblxqt-globalkeys-ui0-dev (>= 0.11.1)
  * Bump years in d/copyright

 -- Alf Gaida <agaida@siduction.org>  Mon, 02 Jan 2017 19:27:11 +0100

lxqt-runner (0.11.0-2) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.0.
  * Bumped Standards to 3.9.8, no changes needed
  * Bumped compat to 10
  * Removed --parallel from rules, standard compat 10
  * Bumped minimum version debhelper (>= 10)
  * Bumped minimum version libqtxdg-dev (>= 2.0.0)
  * Bumped minimum version liblxqt0-dev (>= 0.11.0)
  * Bumped minimum version liblxqt-globalkeys0-dev (>= 0.11.0),
  * Bumped minimum version liblxqt-globalkeys-ui0-dev (>= 0.11.0),
  * Added build dependency libmuparser-dev
  * Added build dependency libqt5svg5-dev
  * Added build dependency libqt5xdgiconloader-dev (>= 2.0.0)
  * Removed build dependency qtscript5-dev
  * Added Recommends lxqt-runner-l10n
  * Fixed VCS fields, using https and plain /git/
  * Fixed copyrights Format field to https
  * Fixed copyrights Source field to lxqt-runner
  * Bumped years in copyrights
  * Added translation control to rules
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo
  * Exported LC_ALL=C.UTF-8, make builds reproducible

 -- Alf Gaida <agaida@siduction.org>  Wed, 20 Jul 2016 23:36:42 +0200

lxqt-runner (0.10.0-3) unstable; urgency=medium

  *  Remove dbg package in favor of dbgsym.

 -- Alf Gaida <agaida@siduction.org>  Sat, 26 Dec 2015 23:04:25 +0100

lxqt-runner (0.10.0-2) unstable; urgency=medium

  * Merge to unstable.
  * Update Vcs-* fields.
  * Set liblxqt minimal version to 0.10.0.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 15 Nov 2015 20:25:12 +0800

lxqt-runner (0.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Update Vcs-* fields.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 07 Nov 2015 12:11:59 +0800

lxqt-runner (0.9.0+20151014-1) experimental; urgency=medium

  * Cherry-picked upstream version 0.9.0+20151014.
  * Set new minimum versions for liblxqt and libqtxdg

 -- Alf Gaida <agaida@siduction.org>  Sat, 31 Oct 2015 17:13:50 +0100

lxqt-runner (0.9.0+20150831-1) experimental; urgency=medium

  [ Alf Gaida ]
  * Cherry-picked upstream version 0.9.0+20150831.
  * Cleaned up debian/.gitignore
  * Switched to experimental because of LXQt namespace change
  * Added minimum version for liblxqt0-dev (>= 0.9.0+20150911)
  * Changed mail address czchen
  * Added upstream signing key and use in watch file
  * Added lintian-override for missed manpage
  * Added source/options
  * Drop transitiona packages
  * Append  -Wl,--as-needed on linker flags
  * Fixed copyright to LGPL2.1+ only
  * Added upstream signing key and use in watch file
  * Beautified debian control
  * Initial debian files
  * Initial release (Closes: #747613)

  [ Andrew Lee (李健秋) ]
  * Adding upstream version 0.9.0.

 -- Alf Gaida <agaida@siduction.org>  Sun, 15 Feb 2015 18:41:53 +0100
